.form-control-with-button {
  position: relative;
  display: flex;
  align-items: center;
}

.form-control-with-button .form-control {
  padding-right: 5rem;
}

::-ms-reveal {
  display: none;
}

.card-login {
  --bs-card-border-width: none !important;
  --bs-card-border-color: none !important;
}

.form-control-with-button .btn-password-toggle {
  position: absolute;
  right: 0;
  top: 0;
  bottom: 0;
  margin: auto;
  height: 1.5rem;
  /* width: 2.5rem; */
  line-height: 1.5rem;
  text-align: center;
  /* background-color: #eee; */
  border: none;
  /* border-left: 1px solid #ccc; */
  cursor: pointer;
  border-radius: 0;
}

.area {
  background: #c84e4e;
  background: -webkit-linear-gradient(to left, #8f94fb, #4e54c8);
  width: max-content;
  height: max-content;
  z-index: -1;
}

.circles {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  overflow: hidden;
}

.circles li {
  position: absolute;
  display: block;
  list-style: none;
  width: 20px;
  height: 20px;
  background: rgba(255, 255, 255, 0.2);
  animation: animate 25s linear infinite;
  bottom: -150px;
}

.circles li:nth-child(1) {
  left: 20%;
  width: 80px;
  height: 80px;
  animation-delay: 0s;
}

.circles li:nth-child(2) {
  left: 10%;
  width: 20px;
  height: 20px;
  animation-delay: 2s;
  animation-duration: 12s;
}

.circles li:nth-child(3) {
  left: 70%;
  width: 20px;
  height: 20px;
  animation-delay: 4s;
}

.circles li:nth-child(4) {
  left: 40%;
  width: 60px;
  height: 60px;
  animation-delay: 0s;
  animation-duration: 18s;
}

.circles li:nth-child(5) {
  left: 65%;
  width: 20px;
  height: 20px;
  animation-delay: 0s;
}

.circles li:nth-child(6) {
  left: 25%;
  width: 110px;
  height: 110px;
  animation-delay: 3s;
}

.circles li:nth-child(7) {
  left: 35%;
  width: 150px;
  height: 150px;
  animation-delay: 7s;
}

.circles li:nth-child(8) {
  left: 50%;
  width: 25px;
  height: 25px;
  animation-delay: 15s;
  animation-duration: 45s;
}

.circles li:nth-child(9) {
  left: 20%;
  width: 15px;
  height: 15px;
  animation-delay: 2s;
  animation-duration: 35s;
}

.circles li:nth-child(10) {
  left: 5%;
  width: 150px;
  height: 150px;
  animation-delay: 0s;
  animation-duration: 11s;
}

.button-login {
  --bs-btn-padding-y: 0.5em !important;
  --bs-btn-padding-x: 5em !important;
  --bs-btn-font-size: 1em !important;
  --bs-btn-border-radius: 2.5em !important;
  --bs-btn-bg: #0072ff !important;
}

@keyframes animate {
  0% {
    transform: translateY(0) rotate(0deg);
    opacity: 1;
    border-radius: 0;
  }

  100% {
    transform: translateY(-1000px) rotate(720deg);
    opacity: 0;
    border-radius: 50%;
  }
}

.card-login {
  display: flex;
  width: 70vw;
  border-radius: 5em;
}

.container-login {
  height: 80vh;
}

@media (max-width: 1200px) {
  .show-on-medium-screen {
    display: none !important;
  }

  .card-sign-mobile {
    padding: none !important;
    flex-direction: column;
  }

  .card-login {
    display: flex;
    height: 70vh;
    width: 90vw;
    justify-content: center;
  }

  .container-login {
    height: fit-content;
  }
}
